from graphics import *

def draw_line_graph(data):
    win = GraphWin("Line Graph", 800, 600)
    win.setBackground("white")

    # Define graph coordinates
    x_axis_start = Point(50, 550)
    x_axis_end = Point(750, 550)
    y_axis_start = Point(50, 550)
    y_axis_end = Point(50, 50)

    # Draw axes
    Line(x_axis_start, x_axis_end).draw(win)
    Line(y_axis_start, y_axis_end).draw(win)

    # Draw data points and connect with lines
    for i in range(len(data) - 1):
        x1, y1 = 50 + 70 * i, 550 - data[i] * 10
        x2, y2 = 50 + 70 * (i + 1), 550 - data[i + 1] * 10
        Line(Point(x1, y1), Point(x2, y2)).draw(win)
        Circle(Point(x1, y1), 3).draw(win)

    win.getMouse()
    win.close()

# Example dataset
data_set = [10, 20, 30, 40, 50, 60, 70]

draw_line_graph(data_set)
